std::_Fwd_list_iterator< _Tp >(3)

NAME
std::_Fwd_list_iterator< _Tp > - A forward_list::iterator.

SYNOPSIS

  Public Types
typedef _Fwd_list_node< _Tp > _Node
typedef _Fwd_list_iterator< _Tp > _Self
typedef ptrdiff_t difference_type
typedef std::forward_iterator_tag iterator_category
typedef _Tp * pointer
typedef _Tp & reference
typedef _Tp value_type

  Public Member Functions
_Fwd_list_iterator (_Fwd_list_node_base *__n) noexcept
_Self _M_next () const noexcept
reference operator* () const noexcept
_Self & operator++ () noexcept
_Self operator++ (int) noexcept
pointer operator-> () const noexcept

  Public Attributes
_Fwd_list_node_base * _M_node

  Friends
bool operator!= (const _Self &__x, const _Self &__y) noexcept
Forward list iterator inequality comparison.
bool operator== (const _Self &__x, const _Self &__y) noexcept
Forward list iterator equality comparison.

Detailed Description

  template<typename _Tp>
struct std::_Fwd_list_iterator< _Tp >" A forward_list::iterator. All the functions are op overloads.

Definition at line 135 of file forward_list.h.

Friends And Related Function Documentation

  template<typename _Tp > bool operator!= (const _Self & __x, const _Self & __y) [friend]

Forward list iterator inequality comparison.

Definition at line 188 of file forward_list.h.

  template<typename _Tp > bool operator== (const _Self & __x, const _Self & __y) [friend]

Forward list iterator equality comparison.

Definition at line 180 of file forward_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.